> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Group

> Updates non-membership data about a group.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| GroupNameNotAvailable | 1368 |
| RoleDoesNotExist | 1358 |




## OpenAPI

````yaml /services/playfab/api-references/rest/groups/groups.openapi.json post /Group/UpdateGroup
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Groups API
  description: >-
    The Groups API is designed for any permanent or semi-permanent collections
    of Entities (players, or non-players). If you want to make
    Guilds/Clans/Corporations/etc., then you should use groups. Groups can also
    be used to make chatrooms, parties, or any other persistent collection of
    entities.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Groups
    description: Groups Management APIs
paths:
  /Group/UpdateGroup:
    post:
      tags:
        - Groups
      summary: Update Group
      description: |
        Updates non-membership data about a group.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | GroupNameNotAvailable | 1368 |
        | RoleDoesNotExist | 1358 |
      operationId: UpdateGroup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGroupRequest'
        description: >-
          Updates data about a group, such as the name or default member role.
          Returns information about whether the update was successful. Only
          title claimants may modify the administration role for a group.
      responses:
        '200':
          $ref: '#/components/responses/UpdateGroupResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    UpdateGroupRequest:
      description: >-
        Updates data about a group, such as the name or default member role.
        Returns information about whether the update was successful. Only title
        claimants may modify the administration role for a group.
      type: object
      properties:
        AdminRoleId:
          description: >-
            Optional: the ID of an existing role to set as the new administrator
            role for the group
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        ExpectedProfileVersion:
          description: >-
            Optional field used for concurrency control. By specifying the
            previously returned ProfileVersion value from the GetGroup API, you
            can ensure that the group data update is performed only if the group
            has not been updated since you last loaded that version. If the same
            group has been updated, the requested update will not occur and the
            returned SetResult value will be None.
          type: number
          x-actualtype: int32
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The identifier of the group
        GroupName:
          description: 'Optional: the new name of the group'
          type: string
        MemberRoleId:
          description: >-
            Optional: the ID of an existing role to set as the new member role
            for the group
          type: string
      required:
        - Group
      example:
        Group:
          Id: ABC1234ABC
        GroupName: My New Group Name
        ExpectedProfileVersion: 17
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    UpdateGroupResponse:
      type: object
      properties:
        OperationReason:
          description: >-
            Optional reason to explain why the operation was the result that it
            was.
          type: string
        ProfileVersion:
          description: New version of the group data.
          type: number
          x-actualtype: int32
        SetResult:
          allOf:
            - $ref: '#/components/schemas/OperationTypes'
          description: >-
            Indicates which operation was completed, either Created, Updated,
            Deleted or None.
      required:
        - ProfileVersion
      example:
        ProfileVersion: 18
        SetResult: Updated
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    OperationTypes:
      type: string
      enum:
        - Created
        - Updated
        - Deleted
        - None
  responses:
    UpdateGroupResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/UpdateGroupResponse'
            example:
              code: 200
              status: OK
              data:
                ProfileVersion: 18
                SetResult: Updated
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Update Group](/services/playfab/api-references/rest/groups/groups/update-group.md)
- [PFGroupsUpdateGroupAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupsupdategroupasync.md)
- [PFGroupsUpdateGroupRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupsupdategrouprequest.md)
- [PFGroupsUpdateGroupResponse](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupsupdategroupresponse.md)
- [PFGroupsUpdateGroupRoleRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupsupdategrouprolerequest.md)
